Summary: Russian Charset Conversion Library
Name: librcc0
%define  _realname librcc 
Version: 0.2.9
Release: 1.1
License: GPL
Group: Development/Libraries
Vendor: DarkSoft <ds7fff@myrealbox.com>
Distribution: DarkLin <ds7fff@myrealbox.com>
Packager: Gavrilyuk Artyom <tuoma_mel@inbox.ru>
Source: %{_realname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://rusxmms.sourceforge.net
Prefix: %{_prefix}
Docdir: %{_docdir}
BuildRequires: librcd0-devel libxml2-devel 
Requires: librcd0

%description
Provides posibility to automaticaly convert considered encodings (a lot of 
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

%package devel 
Summary: Russian Encoding Conversion Library
Group: Development/Libraries 
Requires: librcc0 = %{version}
Requires: librcd0

%description devel
Provides posibility to automaticaly convert considered encodings (a lot of 
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

%prep
%setup -q -n %{_realname}-%{version}

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rcc
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/rcc/engines/
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/rcc/engines/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/rcc/engines/*.la
make -C examples
make -C examples install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_bindir}/example*

install -m 644 examples/rcc.xml $RPM_BUILD_ROOT/etc

if [ -f $RPM_BUILD_ROOT/%{_bindir}/rcc-gtk2-config ]; then
    ln -s rcc-gtk2-config $RPM_BUILD_ROOT/%{_bindir}/rcc-config
elif [ -f $RPM_BUILD_ROOT/%{_bindir}/rcc-gtk-config ]; then
    ln -s rcc-gtk-config $RPM_BUILD_ROOT/%{_bindir}/rcc-config
else
    echo "#!/bin/bash" > $RPM_BUILD_ROOT/usr/bin/rcc-config
    echo "echo \"Configuration UI is not available!\"" >> $RPM_BUILD_ROOT/%{_bindir}/rcc-config
fi


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%doc examples/rcc-example.xml
%dir /etc/rcc
/etc/rcc.xml
%{_libdir}/lib*.so.*
%{_libdir}/rcc/
%{_bindir}/rcc-*config

%files devel
%defattr(-, root, root)  
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/*.a


%changelog
* Sat Feb 13 2010 Gavrilyuk Artyom <tuoma_mel@inbox.ru>
 -Update to 0.2.9, minor changes of spec for OpenSUSE 11.2
* Sun Dec 21 2008 Andamasov Yuriy <andamasov@gmail.com>  
 -Update to 0.2.7, minor changes of spec for OpenSUSE 11.1  
